> For the complete documentation index, see [llms.txt](https://docs.coda.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coda.co/codapay/additional-features/refund-a-payment/retrieve-refund-status.md).

# Retrieve Refund Status

### Pre-requisite

When integrating with Codapay's API, ensure you adhere to the following standards:

1. Use HTTPS protocol.
2. TLS 1.2 or higher
3. Include an Authorization header, API Key, and Partner ID

### Reference

<table><thead><tr><th width="239">Environment</th><th>Endpoint Base URL</th></tr></thead><tbody><tr><td>Sandbox</td><td>Coming soon</td></tr><tr><td>Production</td><td><a href="https://api-tc.codapayments.com/v1/direct/charges">https://api-tc.codapayments.com/v1/</a></td></tr></tbody></table>

#### Endpoint

<mark style="color:green;">**POST**</mark>**&#x20;{Base URL}/refunds**

#### Current Environment Availability

<table><thead><tr><th width="227">Environment</th><th>Is Available?</th></tr></thead><tbody><tr><td>Sandbox</td><td>Coming soon</td></tr><tr><td>Production</td><td>Yes</td></tr></tbody></table>

{% hint style="info" %}
Codapay's APIs support REST web services. By default, the endpoints displayed are RESTful.&#x20;
{% endhint %}

### Request Parameters

| Parameter Name | Data Type | Description                      | Constraint                | Is Required? |
| -------------- | --------- | -------------------------------- | ------------------------- | ------------ |
| refund.id      | String    | Unique identifier for the refund | Must be a valid refund ID | Yes          |

### Response Parameters

The returned object is the refund object that contains a comprehensive record of your refund request.

<table><thead><tr><th>Parameter Name</th><th width="173">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>String</td><td>Unique identifier for the refund</td></tr><tr><td>created_at</td><td>String</td><td>Timestamp of when the refund was created</td></tr><tr><td>status_code</td><td>String</td><td>Status of the refund request. For more information on the possible refund statuses, refer to <a href="/pages/saY1IEnFQF0E3sNC6IIf">this</a>.</td></tr><tr><td>finalized_at</td><td>String</td><td>Timestamp of when the refund was finalized, if applicable</td></tr><tr><td>type</td><td>String</td><td>Type of refund request (e.g., full)</td></tr><tr><td>txn_id</td><td>String</td><td>Transaction ID associated with the refund</td></tr><tr><td>amount_value</td><td>String</td><td>Amount of the refund</td></tr><tr><td>amount_currency</td><td>String</td><td>Currency of the refund amount</td></tr><tr><td>customer_email</td><td>String</td><td>Customer's email, if provided</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.coda.co/codapay/additional-features/refund-a-payment/retrieve-refund-status.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
